From: "Angus Ainslie (Purism)" <angus@akkea.ca>
Date: Tue, 1 Oct 2019 08:09:54 -0700
Subject: WIP: arm64: dts: librem5-devkit: configure VSELECT

use vselect to set the io voltage to 1.8V

Signed-off-by: Angus Ainslie (Purism) <angus@akkea.ca>
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
index 140fa66..0425532 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
@@ -844,6 +844,7 @@ MX8MQ_IOMUXC_SD2_DATA0_USDHC2_DATA0	0xc3
 			MX8MQ_IOMUXC_SD2_DATA1_USDHC2_DATA1	0xc3
 			MX8MQ_IOMUXC_SD2_DATA2_USDHC2_DATA2	0xc3
 			MX8MQ_IOMUXC_SD2_DATA3_USDHC2_DATA3	0xc3
+			MX8MQ_IOMUXC_GPIO1_IO04_GPIO1_IO4	0xc1
 		>;
 	};
 
@@ -855,6 +856,7 @@ MX8MQ_IOMUXC_SD2_DATA0_USDHC2_DATA0	0xcd
 			MX8MQ_IOMUXC_SD2_DATA1_USDHC2_DATA1	0xcd
 			MX8MQ_IOMUXC_SD2_DATA2_USDHC2_DATA2	0xcd
 			MX8MQ_IOMUXC_SD2_DATA3_USDHC2_DATA3	0xcd
+			MX8MQ_IOMUXC_GPIO1_IO04_GPIO1_IO4	0xc1
 		>;
 	};
 
@@ -866,6 +868,7 @@ MX8MQ_IOMUXC_SD2_DATA0_USDHC2_DATA0	0xcf
 			MX8MQ_IOMUXC_SD2_DATA1_USDHC2_DATA1	0xcf
 			MX8MQ_IOMUXC_SD2_DATA2_USDHC2_DATA2	0xcf
 			MX8MQ_IOMUXC_SD2_DATA3_USDHC2_DATA3	0xcf
+			MX8MQ_IOMUXC_GPIO1_IO04_GPIO1_IO4	0xc1
 		>;
 	};
 
